unit upldemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, paramlst;

type
  TDemo = class(TForm)
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    ParameterListBox1: TParameterListBox;
    Edit4: TEdit;
    Label5: TLabel;
    Button3: TButton;
    Button4: TButton;
    Load: TButton;
    procedure ParameterListBox1ParameterClick(Sender: TObject;
      AIndex: Integer; Name: String; var Value: String);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ParameterListBox1ShowList(Sender: TObject; AIndex: Integer;
      Name: String; var Value: String; var showlist: Boolean);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure LoadClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Demo: TDemo;

implementation

{$R *.DFM}

procedure TDemo.ParameterListBox1ParameterClick(Sender: TObject;
  AIndex: Integer; Name: String; var Value: String);
begin
 value:=inputbox('Set parameter',Name,value);
end;

procedure TDemo.Button1Click(Sender: TObject);
begin
 with parameterlistbox1 do
  begin
   if (edit1.text<>'') then Parameter[1]:=edit1.text;
   if (edit2.text<>'') then Parameter[2]:=edit2.text;
   if (edit3.text<>'') then Parameter[3]:=edit3.text;
   if (edit4.text<>'') then Parameter[4]:=edit4.text;
  end;
end;

procedure TDemo.Button2Click(Sender: TObject);
begin
 with parameterlistbox1 do
  begin
   edit1.text:=Parameter[1];
   edit2.text:=Parameter[2];
   edit3.text:=Parameter[3];
   edit4.text:=Parameter[4];
  end;

end;

procedure TDemo.ParameterListBox1ShowList(Sender: TObject; AIndex: Integer;
  Name: String; var Value: String; var showlist: Boolean);
begin
 showlist:=(Aindex = 1) or (Aindex = 2);

 if showlist then
  with ParameterListBox1 do
  begin
   ListBox.Items.Clear;
   case Aindex of
   1:begin
       ListBox.Items.Add('Inprise');
       ListBox.Items.Add('Microsoft');
       ListBox.Items.Add('Corel');
       ListBox.Items.Add('Oracle');
       ListBox.Items.Add('Symantec');
     end;
   2:begin
       ListBox.Items.Add('annual revenue');
       ListBox.Items.Add('monthly revenue');
       ListBox.Items.Add('stock options');
     end;
   end;
  end;
end;

procedure TDemo.Button3Click(Sender: TObject);
begin
 parameterlistbox1.initparams;
end;

procedure TDemo.Button4Click(Sender: TObject);
begin
 parameterlistbox1.SaveParams;
end;

procedure TDemo.LoadClick(Sender: TObject);
begin
 parameterlistbox1.LoadParams;
end;

end.
